Skip to main content
GET
Get Wallet Activity (Unstable)
This is an unstable API that may change without notice. The unstable prefix indicates that breaking changes may occur in future releases.

Authorizations

X-API-KEY
string
header
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<chainType>[:<walletType>][:alias:<alias>] (walletType defaults to 'smart')
  • userId:<userId>:<chainType>[:<walletType>][:alias:<alias>] (white label user example)
  • phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]
  • twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • x:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • me:<chainType>[:<walletType>][:alias:<alias>] (Use when calling from the client side with a client API key)
  • chainType[:<walletType>]:alias:<alias>

Query Parameters

cursor
string

Opaque cursor from a previous response (nextCursor or previousCursor). Omit it on the first request.

limit
string

Maximum number of results per page. Minimum 1, maximum 100. Default 30.

sort
enum<string>
default:desc

Sort direction by creation date. desc returns the newest first (default). asc returns the oldest first.

Available options:
asc,
desc
chain
enum<string>
required

The blockchain network to query. Either an EVM chain, Solana, or Stellar.

Available options:
abstract,
abstract-testnet,
apechain,
arbitrum,
arbitrum-sepolia,
arbitrumnova,
arc,
arc-testnet,
astar-zkevm,
avalanche,
avalanche-fuji,
base,
base-goerli,
base-sepolia,
bsc,
bsc-testnet,
celo,
celo-sepolia,
chiliz,
chiliz-spicy-testnet,
coti,
coti-testnet,
curtis,
ethereum,
ethereum-goerli,
ethereum-sepolia,
flow,
flow-testnet,
hedera,
hedera-testnet,
hypersonic-testnet,
lightlink,
lightlink-pegasus,
mantle,
mantle-sepolia,
mode,
mode-sepolia,
optimism,
optimism-goerli,
optimism-sepolia,
plume,
plume-testnet,
polygon,
polygon-amoy,
polygon-mumbai,
rari,
rari-testnet,
robinhood-chain,
robinhood-chain-testnet,
scroll,
scroll-sepolia,
sei-atlantic-2-testnet,
sei-pacific-1,
shape,
shape-sepolia,
skale-nebula,
skale-nebula-testnet,
solana,
soneium,
soneium-minato-testnet,
space,
space-testnet,
stellar,
story,
story-testnet,
tempo,
tempo-testnet,
u2u-nebulas,
u2u-solaris,
verify-testnet,
viction,
viction-testnet,
world-chain,
world-chain-sepolia,
xai,
xai-sepolia-testnet,
zenchain-testnet,
zkatana,
zkyoto,
zora,
zora-goerli,
zora-sepolia
Example:

"ethereum"

tokens
string
required

The tokens to query. Comma-separated list of either tokens or token locator strings

status
enum<string>
required

The status of the transfers to query

Available options:
failed,
successful
Example:

"successful"

fromDate
string<date-time>

Filter transfers from this date (inclusive). ISO 8601 format. Supported for EVM and Stellar chains. ISO 8601 in UTC. Fractional seconds are optional.

Example:

"2024-01-01T00:00:00Z"

toDate
string<date-time>

Filter transfers until this date (inclusive). ISO 8601 format. Supported for EVM and Stellar chains. ISO 8601 in UTC. Fractional seconds are optional.

Example:

"2024-12-31T23:59:59Z"

Response

The wallet activity has been successfully retrieved.

data
object[]
required

Incoming wallet transfer event

nextCursor
string

Cursor to fetch the next page. Absent when there are no more results.

previousCursor
string

Cursor to fetch the previous page. Absent on the first page.